@Echo off

C:\TER\TERMINAT %1 %2 %3 %4 %5 %6 %7 %8

If Errorlevel 255 Goto Fatal
If Errorlevel 254 Goto OvrError
If Errorlevel 253 Goto PwdError
If Errorlevel 252 Goto LockError
If Errorlevel 251 Goto NoDiskSpace
If Errorlevel 250 Goto InActive
If Errorlevel 249 Goto SemaphoreExit
If Errorlevel 248 Goto HostShutDown

Goto End

Rem        This file belongs to Terminate the final terminal program
Rem                Copyright 1992,97 by Strathrory Systems Ltd.
Rem
Rem    There is no need to include the Terminate directory in your PATH
Rem    statement. Just specify the complete path to the TERMINAT.EXE file.
Rem    When Terminate is started, the current path will be saved, then
Rem    changed to the directory where TERMINAT.EXE is placed in, and when
Rem    exiting Terminate, the old path will be restored.
Rem    Just change line 3 to your direct path to the TERMINAT.EXE file and
Rem    move this file (TE.BAT) to a directory in your PATH (C:\BAT,C:\DOS).
Rem    Then you can start Terminate from anywhere just by typing TE.
Rem
Rem    Try TERMINAT ? for a list of all options
Rem
Rem    Extra information on some of the options:
Rem
Rem    /C:....  You can specify another configuration file in case you use
Rem             different machines. If no path is specified then we will
Rem             assume the configfile to be placed in the same directory as
Rem             TERMINAT.EXE, but you can specify an entire path if you like.
Rem             If using network you should define a environment variabel,
Rem             in your autoexec.bat like: SET NET=04
Rem             And then use /C=CONFIG%NET%.CFG, the %NET% will then be
Rem             replaced with 04 and the file CONFIG04.CFG will be used.
Rem
Rem    /BUF:xxx If you have XMS or EMS enough for loading the overlay file
Rem             you will not need to use this parameter.
Rem             For slow machines you can increase the speed of menus
Rem             significantly. Try adding 50k and see if it helps.
Rem
Rem    /PORT:x  If you machine hangs because of wrong comport or hardware
Rem             conflict or anything, try starting Terminate with a comport
Rem             you know exists.
Rem
Rem    /MODE:x  If you have any kind of problem detecting your videocard,
Rem             you can force detection with this command, it can be useful
Rem             to force the videomode, because then no hardware testing will
Rem             be tried, which could mess up the registers in your videocard.
Rem             /SCRLEN and /SCRCOL should also be used here to force the
Rem             screensize if you are using some non standard size.

:Fatal
Goto End

:OvrError
Goto End

:PwdError
Goto End

:LockError
Goto End

:NoDiskSpace
Goto End

:InActive
Goto End

:SemaphoreExit
Goto End

:HostShutDown
Goto End

:End

